Bug 235078 - [WebAuthn] Fix freebie call without user gesture not being given
Summary: [WebAuthn] Fix freebie call without user gesture not being given
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: j_pascoe@apple.com
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-01-11 12:05 PST by j_pascoe@apple.com
Modified: 2022-01-17 08:02 PST (History)
5 users (show)

See Also:


Attachments
Patch (2.45 KB, patch)
2022-01-11 12:55 PST, j_pascoe@apple.com
no flags Details | Formatted Diff | Diff
Patch (4.36 KB, patch)
2022-01-12 10:55 PST, j_pascoe@apple.com
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description j_pascoe@apple.com 2022-01-11 12:05:27 PST
rdar://87327557
Comment 1 j_pascoe@apple.com 2022-01-11 12:55:56 PST
Created attachment 448872 [details]
Patch
Comment 2 j_pascoe@apple.com 2022-01-12 10:55:16 PST
Created attachment 448966 [details]
Patch
Comment 3 Brent Fulgham 2022-01-12 15:30:38 PST
Comment on attachment 448966 [details]
Patch

r=me
Comment 4 EWS 2022-01-12 15:47:02 PST
Committed r287957 (245986@main): <https://commits.webkit.org/245986@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 448966 [details].
Comment 5 Tal Peretz 2022-01-17 08:02:02 PST
Which IOS version will this fix be released on? Really looking forward to this.